﻿@{
    if (Localization.Get("lng") == "VI")
    {
        ViewBag.Title = "Đặt xe trực tuyến";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    else
    {
        ViewBag.Title = "Books Car Online";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    Layout = "~/Views/Shared/_LayoutDetailPage.cshtml";
}
<section class="page-section with-sidebar">
    <div class="container">
        <div class="row">
            <!-- CONTENT -->
            <div class="col-md-9 content" id="content">

                <h3 class="block-title alt"><i class="fa fa-angle-down"></i>Thông tin của xe</h3>
                @{
                    MvcWebsiteOcc.Areas.administrators.Models.CarModel thongtinxe = ViewBag.Cars;
                    var anhxes = thongtinxe.CarModelsImages.Take(4).ToList();
                }
                <div class="car-big-card alt">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="owl-carousel img-carousel">
                                <div class="item">
                                    <a class="btn btn-zoom" href="/Uploaded/Images/dongxe/@thongtinxe.Folder/@thongtinxe.ModImage" data-gal="prettyPhoto"><i class="fa fa-arrows-h"></i></a>
                                    <a href="/Uploaded/Images/dongxe/@thongtinxe.Folder/@thongtinxe.ModImage" data-gal="prettyPhoto">
                                        <img class="img-responsive" src="/Uploaded/Images/dongxe/@thongtinxe.Folder/@thongtinxe.ModImage" alt="" /></a>
                                </div>
                                @{foreach (var anhx in anhxes)
                                  {
                                    <div class="item">
                                        <a class="btn btn-zoom" href="/Uploaded/Images/dongxe/@anhx.Folder/@anhx.ImageName" data-gal="prettyPhoto"><i class="fa fa-arrows-h"></i></a>
                                        <a href="/Uploaded/Images/dongxe/@anhx.Folder/@anhx.ImageName" data-gal="prettyPhoto">
                                            <img class="img-responsive" src="/Uploaded/Images/dongxe/@anhx.Folder/@anhx.ImageName" alt="" /></a>
                                    </div>
                                  }}
                            </div>
                            <div class="row car-thumbnails anh_xe_dx">
                                @{ int vt = 0;
                                   foreach (var anhx in anhxes)
                                   {
                                    <div class="col-xs-3 col-sm-2 col-md-3">
                                        <a href="#" onclick="jQuery('.img-carousel').trigger('to.owl.carousel', [@vt, 300]);">
                                            <img src="/Uploaded/Images/dongxe/@anhx.Folder/@anhx.ImageName" alt="" /></a>
                                    </div>
                                     
                                       vt++;
                                   }}
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="car-details">
                                <div class="list">
                                    <ul>
                                        <li class="title">
                                            <h2>@thongtinxe.ModName</h2>
                                            <div class="rating">
                                                <span class="star"></span>
                                                <span class="star active"></span>
                                                <span class="star active"></span>
                                                <span class="star active"></span>
                                                <span class="star active"></span>
                                            </div>
                                        </li>
                                        <li><b>Hãng</b>: @thongtinxe.ModBrand</li>
                                        <li><b>Màu xe</b>: @thongtinxe.ModColor</li>
                                        <li><b>Đời xe</b>: @thongtinxe.ModYear</li>
                                        <li><b>Kiểu xe</b>: @thongtinxe.CarType.TypeName</li>
                                    </ul>
                                </div>
                                <div class="price">
                                    @{if (thongtinxe.ModPrice != 0)
                                      {
                                        <strong>@thongtinxe.ModPrice.ToString("#,###") ₫</strong> <span>@Html.Localize("ngay")</span> <i class="fa fa-info-circle"></i>
                                      }
                                      else
                                      {
                                        <strong>Giá liên hệ</strong> <i class="fa fa-info-circle"></i>
                                      }}


                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="page-divider half transparent" />
                <h3 class="block-title alt"><i class="fa fa-angle-down"></i>Chọn tài xế</h3>
                <form role="form" class="form-extras">
                    <div class="row">
                        <div class="col-md-12">
                            @{IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.Staff> taixes = ViewBag.TaiXes;}
                            <div class="swiper chon_tai_xe">
                                <div class="swiper-container ">
                                    <div class="swiper-wrapper">
                                        <div class="swiper-slide">
                                            <div class="thumbnail no-border no-padding thumbnail-car-card tai_xe_details_check">
                                                <div class="check_tai_xe radio radio-inline check_taixe">
                                                    <input type="radio" id="taiXE" value="" name="TaixeID" checked="checked">
                                                    <label class="lb_taixe" for="taiXE"></label>
                                                </div>
                                                <div class="">
                                                    <a class="media-link">
                                                        <img src="/Static/frontend/xedichvu/img/tai-xe.png" />
                                                    </a>
                                                </div>
                                                <div class="caption text-center">
                                                    <h4 class="caption-title"><a>Hãy chọn Tài xế</a></h4>
                                                    <div class="caption-text">Thiên Thảo Nguyên</div>
                                                    <div class="rating">
                                                        <span class="star"></span>
                                                        <span class="star active"></span>
                                                        <span class="star active"></span>
                                                        <span class="star active"></span>
                                                        <span class="star active"></span>
                                                    </div>
                                                    <table class="table">
                                                        <tr>
                                                            <td><i class="fa fa-user"></i>0</td>
                                                            <td><i class="fa fa-car"></i>TTN</td>
                                                            <td><i class="fa fa-road"></i>B2</td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        @{foreach (var taixe in taixes)
                                          {
                                            <div class="swiper-slide">
                                                <div class="thumbnail no-border no-padding thumbnail-car-card tai_xe_details_check">
                                                    <div class="check_tai_xe radio radio-inline check_taixe">
                                                        <input type="radio" id="@taixe.StaffID" value="@taixe.StaffID" name="TaixeID">
                                                        <label class="lb_taixe" for="@taixe.StaffID"></label>
                                                    </div>
                                                    <div class="">
                                                        <a class="media-link">
                                                            <img src="/Uploaded/Images/nhanvien/@taixe.StaffImage" alt="">
                                                        </a>
                                                    </div>
                                                    <div class="caption text-center">
                                                        <h4 class="caption-title"><a>@taixe.StaffName</a></h4>
                                                        <div class="caption-text">@taixe.StaffAddress</div>
                                                        <div class="rating">
                                                            <span class="star"></span>
                                                            <span class="star active"></span>
                                                            <span class="star active"></span>
                                                            <span class="star active"></span>
                                                            <span class="star active"></span>
                                                        </div>
                                                        <table class="table">
                                                            <tr>
                                                                @{if (taixe.StaffBirthDay != null)
                                                                  {
                                                                    <td><i class="fa fa-user"></i>@(DateTime.Now.Year - DateTime.Parse(taixe.StaffBirthDay.ToString()).Year)</td>
                                                                  }
                                                                  else
                                                                  {
                                                                    <td><i class="fa fa-user"></i>-</td>
                                                                  }
                                                                }
                                                                <td><i class="fa fa-car"></i>@taixe.CarModel.ModBrand</td>
                                                                <td><i class="fa fa-road"></i>@taixe.DriverLicense</td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                          }}
                                    </div>
                                </div>
                                <!-- Add Arrows -->
                                <div class="chon_tai_xe_btn_n hidden_btn swiper-button-next"><i class="fa fa-angle-right"></i></div>
                                <div class="chon_tai_xe_btn_p hidden_btn swiper-button-prev "><i class="fa fa-angle-left"></i></div>
                            </div>

                        </div>

                    </div>
                </form>
                <h3 class="block-title alt"><i class="fa fa-angle-down"></i>Chọn dịch vụ</h3>
                <form role="form" class="form-extras">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="left">
                                <div class="checkbox checkbox-danger">
                                    <input id="checkboxl1" type="checkbox">
                                    <label for="checkboxl1">Dịch vụ trẻ em<span class="pull-right">120.000 @Html.Localize("ngay")</span></label>
                                </div>
                                <div class="checkbox checkbox-danger">
                                    <input id="checkboxl3" type="checkbox">
                                    <label for="checkboxl3">Tổ chức sự kiện theo xe<span class="pull-right">250.000/chuyến</span></label>
                                </div>
                                <div class="checkbox checkbox-danger">
                                    <input id="checkboxl4" type="checkbox">
                                    <label for="checkboxl4">Sắp xếp nơi ăn nghỉ<span class="pull-right">500.000/chuyến</span></label>
                                </div>
                                <div class="checkbox checkbox-danger">
                                    <input id="checkboxl5" type="checkbox">
                                    <label for="checkboxl5">Các dịch vụ khác <span class="pull-right">200.000/chuyến</span></label>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="right">

                                <div class="checkbox checkbox-danger">
                                    <input id="checkboxr1" type="checkbox" checked="">
                                    <label for="checkboxr1">Phí cầu đường<span class="pull-right">Miễn phí</span></label>
                                </div>
                                <div class="checkbox checkbox-danger">
                                    <input id="checkboxr2" type="checkbox" checked="">
                                    <label for="checkboxr2">Bến bãi đậu xe <span class="pull-right">Miễn phí</span></label>
                                </div>
                                <div class="checkbox checkbox-danger">
                                    <input id="checkboxr3" type="checkbox" checked="">
                                    <label for="checkboxr3">Hướng dẫn viên<span class="pull-right">Miễn phí</span></label>
                                </div>
                                <div class="checkbox checkbox-danger">
                                    <input id="checkboxr5" type="checkbox" checked="">
                                    <label for="checkboxr5">VAT <span class="pull-right">10%</span></label>
                                </div>
                            </div>
                        </div>

                    </div>

                </form>

                <h3 class="block-title alt"><i class="fa fa-angle-down"></i>Thông tin khách hàng</h3>
                <form action="#" class="form-delivery">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="radio radio-inline">
                                <input type="radio" id="inlineRadio1" value="option1" name="radioInline" checked="">
                                <label for="inlineRadio1">Mr</label>
                            </div>
                            <div class="radio radio-inline">
                                <input type="radio" id="inlineRadio2" value="option1" name="radioInline">
                                <label for="inlineRadio2">Ms</label>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <input class="form-control alt" type="text" placeholder="Họ & tên">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <input class="form-control alt" type="text" placeholder="E-mail">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <input class="form-control alt" type="text" placeholder="Điện thoại">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <input class="form-control alt" type="text" placeholder="Di động">
                            </div>
                        </div>
                    </div>
                </form>

                <h3 class="block-title alt"><i class="fa fa-angle-down"></i>Phương thức thanh toán</h3>
                <div class="panel-group payments-options" id="accordion" role="tablist" aria-multiselectable="true">
                    <div class="panel radio panel-default">
                        <div class="panel-heading" role="tab" id="headingOne">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse1" aria-expanded="true" aria-controls="collapseOne">
                                    <span class="dot"></span>Thanh toán trực tiếp
                                </a>
                            </h4>
                        </div>
                        <div id="collapse1" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="heading1">
                            <div class="panel-body">
                                <div class="alert alert-success" role="alert">
                                    Quý khách hàng sẽ thanh toán cho tài xế sau khi chuyến đi kết thúc.

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="headingThree">
                            <h4 class="panel-title">
                                <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse3" aria-expanded="false" aria-controls="collapseThree">
                                    <span class="dot"></span>Chuyển khoản qua thẻ
                                </a>

                            </h4>
                        </div>
                        <div id="collapse3" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading3">
                            <div class="panel-body">
                                <div class="alert alert-success" role="alert">
                                    <img src="/Static/frontend/xedichvu/img/preview/payments/mastercard-2.jpg" alt="" />
                                    <img src="/Static/frontend/xedichvu/img/preview/payments/visa-2.jpg" alt="" />
                                    <img src="/Static/frontend/xedichvu/img/preview/payments/american-express-2.jpg" alt="" />
                                    <img src="/Static/frontend/xedichvu/img/preview/payments/discovery-2.jpg" alt="" />
                                    <img src="/Static/frontend/xedichvu/img/preview/payments/eheck-2.jpg" alt="" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <h3 class="block-title alt"><i class="fa fa-angle-down"></i>Yêu cầu</h3>
                <form action="#" class="form-delivery">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <textarea class="form-control alt" placeholder="Nhập những yêu cầu thêm của bạn tại đây." name="name" id="id" cols="30" rows="10"></textarea>
                            </div>
                        </div>
                    </div>
                </form>

                <div class="overflowed reservation-now">
                    <div class="checkbox pull-left">
                        <input id="checkboxa1" type="checkbox">
                        <label for="checkboxa1">Tôi đồng ý với các chính sách của công ty.</label>
                    </div>
                    @using (Html.BeginForm("datxe", "Home", FormMethod.Post, new { a = "2" }))
                    {
                        <button type="submit" class="btn btn-theme pull-right">Gửi lệnh @Html.Localize("datxe")</button>
                    }
                    <a class="btn btn-theme pull-right btn-theme-dark" href="#">Hủy</a>
                </div>

            </div>

            <div id="myModal" class="modal  fade" role="dialog">
                <div class="modal-dialog modal-lg">

                    <!-- Modal content-->
                    <div class="modal-content">
                        <div class="modal-body main-slider ">

                            <div class="form-search light">
                                <form action="#">
                                    <div class="form-title">
                                        <i class="fa fa-globe"></i>
                                        <h2>Cập nhật hành trình của bạn.</h2>
                                    </div>
                                    <div class="row row-inputs">
                                        <div class="container-fluid">
                                            <div class="col-sm-6 col-xs-6">
                                                <div class="form-group has-icon has-label">
                                                    <section id="place-on-map-1">

                                                        <label for="address_map_di">Chọn điểm đón</label>
                                                        <input type="text" class="form-control" id="address_map_di" name="address_map_di" placeholder="Bắt đầu hành trình !">
                                                        <!-- /.form-group -->
                                                        <label for="address-map">Chọn trên bản đồ</label>
                                                        <div class="col-md-12">
                                                            <div class="geo-location-wrapper">
                                                                <span class="btn geo_location_di"><i class="fa fa-map-marker"></i><span class="text">Xác định vị trí</span></span>
                                                            </div>
                                                        </div>
                                                        <div id="submit_map_di" class="map_submit">
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <input value="21.021996012983845" data-val="true" id="lat_di" name="lat_di" type="hidden">
                                                                <input value="105.84486153972648" data-val="true" id="long_di" name="long_di" type="hidden">
                                                                <input class="form-control" id="latitude_di" name="latitude_di" type="hidden">
                                                                <!-- /.form-group -->
                                                            </div>
                                                            <div class="col-md-6">
                                                                <input class="form-control" id="longitude_di" name="longitude_di" type="hidden">
                                                                <!-- /.form-group -->
                                                            </div>
                                                        </div>
                                                    </section>
                                                    <!-- /#place-on-map -->
                                                </div>
                                            </div>
                                            <div class="col-sm-6 col-xs-6">
                                                <div class="form-group has-icon has-label">
                                                    <section id="place-on-map-2">
                                                        <label for="address_map_den">Chọn điểm đến</label>
                                                        <input type="text" class="form-control" id="address_map_den" name="address_map_den" placeholder="Bất cứ đâu bạn muốn !">
                                                        <!-- /.form-group -->
                                                        <label for="address-map">Chọn trên bản đồ</label>
                                                        <div id="submit_map_den" class="map_submit"></div>
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <input value="20.98096993816383" data-val="true" id="lat_den" name="lat_den" type="hidden">
                                                                <input value="105.7874679054687" data-val="true" id="long_den" name="long_den" type="hidden">
                                                                <input type="hidden" class="form-control" id="latitude_den" name="latitude_den">
                                                                <!-- /.form-group -->
                                                            </div>
                                                            <div class="col-md-6">
                                                                <input type="hidden" class="form-control" id="longitude_den" name="longitude_den">
                                                                <!-- /.form-group -->
                                                            </div>
                                                        </div>
                                                    </section>
                                                    <!-- /#place-on-map -->
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row row-submit">
                                        <div class="container-fluid">
                                            @* <a href="#myModal" data-toggle="modal" class="btn btn-block btn-theme">Cập nhật lịch trình</a>*@
                                            <button type="button" class="btn btn-submit btn-theme ripple-effect pull-right" data-dismiss="modal" style="padding: 12px 50px;">Lưu</button>
                                           @* <button type="submit" id="formSearchSubmit2" class="btn btn-submit btn-theme ripple-effect pull-right">Lưu</button>*@

                                        </div>
                                    </div>
                                </form>
                            </div>


                        </div>

                    </div>

                </div>
            </div>

            <!-- /CONTENT -->

            <!-- SIDEBAR -->
            <aside class="col-md-3 sidebar" id="sidebar">
                <!-- widget detail reservation -->
                <div class="widget shadow widget-details-reservation">
                    <h4 class="widget-title">Lịch trình</h4>
                    <div class="widget-content">
                        <div class="row row-inputs">
                            <div class="col-md-12 col-xs-12">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group has-icon has-label">
                                            <label for="formSearchUpDate2">Thời gian hành trình</label>
                                            <input readonly="readonly" type="text" class="form-control date_accept pull-right form_control_add" name="date_accept"
                                                 value="@DateTime.Now.Date.ToString("dd/MM/yyyy") - @DateTime.Now.Date.ToString("dd/MM/yyyy")" 
                                                            data-mask="99/99/9999 - 99/99/9999"/>
                                            <span class="form-control-icon"><i class="fa fa-calendar"></i></span>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="form-group has-icon has-label selectpicker-wrapper">
                                            <label>Giờ xuất phát</label>
                                            <input class="form-control time_picker"  name="time_go" type="text" readonly="readonly">
                                            <span class="form-control-icon"><i class="fa fa-clock-o"></i></span>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="form-group has-icon has-label selectpicker-wrapper">
                                            <label>Giờ về</label>
                                             <input class="form-control time_picker"  name="time_end" type="text" readonly="readonly">
                                            <span class="form-control-icon"><i class="fa fa-clock-o"></i></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @*<h5 class="widget-title-sub">Xuất phát</h5>
                        <div class="media">
                            <span class="media-object pull-left"><i class="fa fa-calendar"></i></span>
                            <div class="media-body">
                                <p>15 Tháng 7 2015 / 08:00 am</p>
                            </div>
                        </div>
                        <div class="media">
                            <span class="media-object pull-left"><i class="fa fa-location-arrow"></i></span>
                            <div class="media-body">
                                <p>Từ Hà Nội</p>
                            </div>
                        </div>
                        <h5 class="widget-title-sub">Ngày về</h5>
                        <div class="media">
                            <span class="media-object pull-left"><i class="fa fa-calendar"></i></span>
                            <div class="media-body">
                                <p>19 Tháng 7 2015 / 08:00 am</p>
                            </div>
                        </div>
                        <div class="media">
                            <span class="media-object pull-left"><i class="fa fa-location-arrow"></i></span>
                            <div class="media-body">
                                <p>Từ Quảng Ninh</p>
                            </div>
                        </div>*@
                        <div class="button">
                            <a id="show" href="#myModal" data-toggle="modal" class="btn btn-block btn-theme btn-theme-dark">Chọn hành trình</a>
                        </div>
                    </div>
                </div>
                <!-- /widget detail reservation -->
                @*  @{Html.RenderAction("_xetop", "cacloaixe");}*@

                <!-- widget helping center -->
                @{Html.RenderAction("_right_sidebar_hotline", "common");}
            </aside>
            <!-- /SIDEBAR -->
        </div>
    </div>
</section>

@section PageScripts{

    <link href="/Static/frontend/xedichvu/css/datepicker.css" rel="stylesheet" />
    <!--Bootstrap Date Range Picker-->
    <script src="/Static/admin//assets/js/datetime/moment.js"></script>
    <script src="/Static/admin//assets/js/datetime/daterangepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <!--Bootstrap Date Picker-->
    <script src="/Static/admin/assets/js/datetime/bootstrap-datepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datetime/bootstrap-timepicker.js"></script>
    <script>
        //--Bootstrap Date Picker--
        $('.date-picker').datepicker();
        $('.date_accept').daterangepicker();
        //--Bootstrap Time Picker--
        $('.time_picker').timepicker();
    </script>

    <script>


        var _latitude_di = $("#lat_di").val();
        var _longitude_di = $("#long_di").val();

        $('#latitude_di').val(_latitude_di);
        $('#longitude_di').val(_longitude_di);


        //google.maps.event.addDomListener($('#myModal'), 'load', function () {
        //    initSubmitMap(_latitude, _longitude);
        //});

        $('#myModal').on('shown.bs.modal', function (e) {
            initSubmitMap_di(_latitude_di, _longitude_di);
        });

        function initSubmitMap_di(_latitude_di, _longitude_di) {
            var mapCenter = new google.maps.LatLng(_latitude_di, _longitude_di);
            var mapOptions = {
                zoom: 8,
                center: mapCenter,
                disableDefaultUI: false,
                scrollwheel: false,
                //styles: mapStyles
            };
            var mapElement = document.getElementById('submit_map_di');
            var map = new google.maps.Map(mapElement, mapOptions);
            var marker = new MarkerWithLabel({
                position: mapCenter,
                map: map,
                icon: '/Static/frontend/xedichvu/map/_marker.png',
                labelAnchor: new google.maps.Point(50, 0),
                draggable: true
            });
            $('#submit_map_di').removeClass('fade-map');
            google.maps.event.addListener(marker, "mouseup", function (event) {
                var latitude_di = this.position.lat();
                var longitude_di = this.position.lng();
                $('#latitude_di').val(latitude_di);
                $('#longitude_di').val(longitude_di);
            });

            //      Autocomplete
            var input = (document.getElementById('address_map_di'));
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.bindTo('bounds', map);
            google.maps.event.addListener(autocomplete, 'place_changed', function () {
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                    map.setZoom(17);
                }
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);
                $('#latitude_di').val(marker.getPosition().lat());
                $('#longitude_di').val(marker.getPosition().lng());
                var address = '';
                if (place.address_components) {
                    address = [
                        (place.address_components[0] && place.address_components[0].short_name || ''),
                        (place.address_components[1] && place.address_components[1].short_name || ''),
                        (place.address_components[2] && place.address_components[2].short_name || '')
                    ].join(' ');
                }
            });

        }

        function success(position) {
            initSubmitMap_di(position.coords.latitude, position.coords.longitude);
            $('#latitude_di').val(position.coords.latitude);
            $('#longitude_di').val(position.coords.longitude);
        }

        $('.geo_location_di').on("click", function () {
            if (navigator.geolocation) {
                $('#submit_map_di').addClass('fade-map');
                navigator.geolocation.getCurrentPosition(success);
            } else {
                error('Geo Location is not supported');
            }
        });

    </script>

    <script>
        var _latitude_den = $("#lat_den").val();
        var _longitude_den = $("#long_den").val();

        $('#latitude_den').val(_latitude_den);
        $('#longitude_den').val(_longitude_den);


        //google.maps.event.addDomListener($('#myModal'), 'load', function () {
        //    initSubmitMap(_latitude, _longitude);
        //});

        $('#myModal').on('shown.bs.modal', function (e) {
            initSubmitMap_den(_latitude_den, _longitude_den);
        });

        function initSubmitMap_den(_latitude_den, _longitude_den) {
            var mapCenter = new google.maps.LatLng(_latitude_den, _longitude_den);
            var mapOptions = {
                zoom: 8,
                center: mapCenter,
                disableDefaultUI: false,
                scrollwheel: false,
                //styles: mapStyles
            };
            var mapElement = document.getElementById('submit_map_den');
            var map = new google.maps.Map(mapElement, mapOptions);
            var marker = new MarkerWithLabel({
                position: mapCenter,
                map: map,
                icon: '/Static/frontend/xedichvu/map/_marker.png',
                labelAnchor: new google.maps.Point(50, 0),
                draggable: true
            });
            $('#submit_map_di').removeClass('fade-map');
            google.maps.event.addListener(marker, "mouseup", function (event) {
                var latitude_den = this.position.lat();
                var longitude_den = this.position.lng();
                $('#latitude_den').val(latitude_den);
                $('#longitude_den').val(longitude_den);
            });

            //      Autocomplete
            var input = (document.getElementById('address_map_den'));
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.bindTo('bounds', map);
            google.maps.event.addListener(autocomplete, 'place_changed', function () {
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                    map.setZoom(17);
                }
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);
                $('#latitude_den').val(marker.getPosition().lat());
                $('#longitude_den').val(marker.getPosition().lng());
                var address = '';
                if (place.address_components) {
                    address = [
                        (place.address_components[0] && place.address_components[0].short_name || ''),
                        (place.address_components[1] && place.address_components[1].short_name || ''),
                        (place.address_components[2] && place.address_components[2].short_name || '')
                    ].join(' ');
                }
            });

        }

        //function success(position) {
        //    initSubmitMap(position.coords.latitude, position.coords.longitude);
        //    $('#latitude_den').val(position.coords.latitude);
        //    $('#longitude_den').val(position.coords.longitude);
        //}

        //$('.geo-location').on("click", function () {
        //    if (navigator.geolocation) {
        //        $('#submit_map_den').addClass('fade-map');
        //        navigator.geolocation.getCurrentPosition(success);
        //    } else {
        //        error('Geo Location is not supported');
        //    }
        //});

    </script>
}